/* adc_potmeter
 *  
 * Egyszerű mérés az ADC-vel: az A0 bemenetre adott
 * feszültséget mérjük az Arduino tápfeszültségéhez képest.
 * USB táplálásnál a névleges 5V valójában csak 4.7 V körüli
 * érték a Schottky védődia miatt.
 * 
 * Az eredményz feszültségre átszámítjuk és a soros porton kiíratjuk.
 */

void setup() {
  Serial.begin(9600);
  analogReference(DEFAULT);
  Serial.println("ADC potmeter reading");
}

void loop() {
  int reading = analogRead (A0);
  float voltage = (reading * 4.75) / 1024.0;
  Serial.print("ADC: ");
  Serial.print(reading);
  Serial.print("  Voltage: ");
  Serial.print(voltage, 2);
  Serial.println(" V");
  delay(2000);
}
